package com.kym.common.exception;

import com.kym.common.constant.IResponseCode;
import lombok.Getter;

/**
 * @author skyline
 * 互联互通平台推送数据数据异常
 */
@Getter
public class PlatformPushException extends RuntimeException {
    Integer code;
    String message;
    Object data;

    public PlatformPushException(IResponseCode responseEnum, Object data) {
        this.code = responseEnum.getCode();
        this.message = responseEnum.getMessage();
        this.data = data;
    }
}
